Page MenuHomePhabricator

[Driver] Enable __cxa_atexit on Solaris
ClosedPublic

Authored by ro on Jul 10 2019, 7:07 AM.

Details

Summary

Starting with Solaris 11.4 (which is now the required minimal version), Solaris does
support __cxa_atexit. This patch reflects that.

One might consider removing the affected tests altogether instead of inverting them,
as is done on other targets.

Besides, this lets two ASan tests PASS:

AddressSanitizer-i386-sunos :: TestCases/init-order-atexit.cc
AddressSanitizer-i386-sunos-dynamic :: TestCases/init-order-atexit.cc

Tested on x86_64-pc-solaris2.11 and sparcv9-sun-solaris2.11. Ok for trunk?

Diff Detail

Repository
rL LLVM

Event Timeline

ro created this revision.Jul 10 2019, 7:07 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 10 2019, 7:07 AM

Ping? It's been a week and the patch seems completely in line with other ELF targets.

rnk accepted this revision.Jul 16 2019, 3:26 PM

lgtm

This revision is now accepted and ready to land.Jul 16 2019, 3:26 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 17 2019, 1:36 AM